#!/bin/sh -x
set -e
gf=$1
mkdir -p SayHelloServiceProvider/target/classes
javac -d SayHelloServiceProvider/target/classes -classpath $gf/osgi/felix/bin/felix.jar ./SayHelloServiceProvider/src/main/java/com/textura/cpms/service/hello/impl/*.java ./SayHelloService/src/main/java/com/textura/cpms/service/hello/*.java
jar cvfm SayHelloServiceProvider/target/SayHelloServiceProvider.jar SayHelloServiceProvider/manifest -C SayHelloServiceProvider/target/classes/ .

mkdir -p SayHelloApp/target/WEB-INF/classes
javac -d SayHelloApp/target/WEB-INF/classes -classpath $gf/modules/autostart/osgi-cdi.jar:$gf/lib/javaee.jar:$gf/modules/javax.servlet-api.jar:./SayHelloServiceProvider/target/classes:$gf/osgi/felix/bin/felix.jar ./SayHelloApp/src/main/java/com/textura/cpms/web/servlet/*.java
jar cvfm SayHelloApp/target/SayHelloApp.war SayHelloApp/manifest -C SayHelloApp/target/ . -C SayHelloApp/src/main/webapp WEB-INF/beans.xml

mkdir -p SayHelloResources/target/
jar cvfm SayHelloResources/target/SayHelloResources.jar SayHelloResources/manifest -C ./SayHelloResources/src/languages/default/ cpms/resources/i18n/messages.properties -C ./SayHelloResources/src/languages/english/ cpms/resources/i18n/messages_en.properties -C ./SayHelloResources/src/languages/french/ cpms/resources/i18n/messages_fr.properties 

asadmin deploy --type osgi --force true SayHelloServiceProvider/target/SayHelloServiceProvider.jar
# Deploy the fragment ahead of the web app
asadmin deploy --type osgi --force true SayHelloResources/target/SayHelloResources.jar
asadmin deploy --type osgi --force true SayHelloApp/target/SayHelloApp.war

# Allow the real deployment to take place
sleep 20
wget -O - localhost:8080/sayhello
wget -O - localhost:8080/sayhello/2
